# Generated by Django 2.1.7 on 2020-11-18 12:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    dependencies = [
        ('communications', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('formerCustomers', '0003_historicalremoveequipamenttablesmodel_removeequipamenttablesmodel'),
    ]

    operations = [
        migrations.CreateModel(
            name='HistoricalRemoveEquipamentEmailModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.IntegerField(blank=True, db_index=True)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('updated', models.DateTimeField(blank=True, editable=False)),
                ('sender', models.TextField(default='')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('creator', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('template_email', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='communications.TemplateEmailModel')),
                ('updater', models.ForeignKey(blank=True, db_constraint=False, default=None, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical remove equipament email model',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='RemoveEquipamentEmailModel',
            fields=[
                ('operator', models.PositiveIntegerField(choices=[(1, 'Optic'), (2, 'Banda Ancha'), (3, 'Giga')])),
                ('ID', models.AutoField(primary_key=True, serialize=False)),
                ('deleted', models.BooleanField(default=False)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('sender', models.TextField(default='')),
                ('creator', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='formercustomers_removeequipamentemailmodel_creator', to=settings.AUTH_USER_MODEL)),
                ('template_email', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='communications.TemplateEmailModel')),
                ('updater', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='formercustomers_removeequipamentemailmodel_updater', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='historicalremoveequipamentmodel',
            name='status',
            field=models.PositiveIntegerField(choices=[(0, 'ABIERTO'), (1, 'REGISTRADO EN ICLASS'), (2, 'ORDEN CREADA'), (3, 'RETIRAR ORDEN'), (4, 'EN ALMACEN'), (5, 'EN BODEGA'), (6, 'PROCESAR EN ICLASS'), (7, 'CORREO ENVIADO'), (8, 'RETIRADO EN MATRIX'), (9, 'RETIRADO DE RED'), (10, 'CERRADO')]),
        ),
        migrations.AlterField(
            model_name='removeequipamentmodel',
            name='status',
            field=models.PositiveIntegerField(choices=[(0, 'ABIERTO'), (1, 'REGISTRADO EN ICLASS'), (2, 'ORDEN CREADA'), (3, 'RETIRAR ORDEN'), (4, 'EN ALMACEN'), (5, 'EN BODEGA'), (6, 'PROCESAR EN ICLASS'), (7, 'CORREO ENVIADO'), (8, 'RETIRADO EN MATRIX'), (9, 'RETIRADO DE RED'), (10, 'CERRADO')]),
        ),
    ]
